Alembic: Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl Class Reference

Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl Class Reference
Inheritance diagram for Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl:

## Public Member Functions
virtual void | setSample (const AbcA::ArraySample &iSamp)
virtual void | setFromPreviousSample ()
virtual size_t | getNumSamples ()
virtual void | setTimeSamplingIndex (Util::uint32_t iIndex)
virtual const AbcA::PropertyHeader & | getHeader () const
virtual AbcA::ObjectWriterPtr | getObject ()
virtual AbcA::CompoundPropertyWriterPtr | getParent ()
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter
virtual | ~ArrayPropertyWriter ()
virtual void | setSample (const ArraySample &iSamp)=0
virtual void | setTimeSamplingIndex (uint32_t iIndex)=0
Public Member Functions inherited from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter
virtual | ~BasePropertyWriter ()
const std::string & | getName () const
PropertyType | getPropertyType () const
bool | isScalar () const
bool | isArray () const
bool | isCompound () const
bool | isSimple () const
const MetaData & | getMetaData () const
const DataType & | getDataType () const
TimeSamplingPtr | getTimeSampling () const
virtual ScalarPropertyWriterPtr | asScalarPtr ()
virtual CompoundPropertyWriterPtr | asCompoundPtr ()

## Protected Member Functions
| ApwImpl (AbcA::CompoundPropertyWriterPtr iParent, Ogawa::OGroupPtr iGroup, PropertyHeaderPtr iHeader, size_t iIndex)
virtual AbcA::ArrayPropertyWriterPtr | asArrayPtr ()

## Protected Attributes
WrittenSampleIDPtr | m_previousWrittenSampleID

## Friends
class | CpwData

## Member Function Documentation

## ◆ asArrayPtr()

AbcA::ArrayPropertyWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl::asArrayPtr | ( |  | ) |
| protectedvirtual

Up-cast this base property to an ArrayProperty, if such an upcast is valid. This can be checked with the isArray() function. If the upcast is not valid, an empty pointer will be returned. This default implementation returns an empty pointer.

Reimplemented from Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ getHeader()

const AbcA::PropertyHeader & Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl::getHeader | ( |  | ) | const
| virtual

Properties are created with a collection of metadata that is stored in a lightweight structure called PropertyHeader. This returns a constant reference to the PropertyHeader which was given upon creation.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ getNumSamples()

size_t Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl::getNumSamples | ( |  | ) |
| virtual

Return the number of samples that have been written so far. This changes as samples are written.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter.

## ◆ getObject()

AbcA::ObjectWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl::getObject | ( |  | ) |
| virtual

All properties have an object that owns them, and in order to ensure the object stays alive as long as the properties do, they retain a shared pointer to their object.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ getParent()

AbcA::CompoundPropertyWriterPtr Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl::getParent | ( |  | ) |
| virtual

Most properties live in a compound property. (Except for the top-compound property in any object) This returns a pointer to the parent compound property.

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::BasePropertyWriter.

## ◆ setFromPreviousSample()

void Alembic::AbcCoreOgawa::ALEMBIC_VERSION_NS::ApwImpl::setFromPreviousSample | ( |  | ) |
| virtual

Set the next sample to equal the previous sample. An important feature!

Implements Alembic::AbcCoreAbstract::ALEMBIC_VERSION_NS::ArrayPropertyWriter.

The documentation for this class was generated from the following files:

- AbcCoreOgawa/ApwImpl.h
- AbcCoreOgawa/ApwImpl.cpp